var jQueryLoadedInterval = null;

function onAppsAtCloudEvent(appId, eventId, panelId, panelState) {
	log("onAppsAtCloudEvent(), appId=" + appId + ", eventId=" + eventId + ", panelId=" + panelId + ", panelState=" + panelState);
	
	switch(eventId) {
		// EVENT_INIT
		case 101:
			handleInit();
		break;
		// EVENT_SYS_ERR_MSG_RENDERED
		case 103:
			// ignore
		break;
	}
}

function isJqueryLoaded() {
	var jq = window.jQuery;
	log("+isJqueryLoaded(), jQueryLoadedInterval=" + jQueryLoadedInterval + ", jq=" + jq);

	if(jq == null || jq == undefined) {
		return false;	
	} else {
		return true;
	}
}

function handleInit() {
	log("+handleInit()");
	
	if(isJqueryLoaded()) {
		if(jQueryLoadedInterval != null) {
			log("handleInit(), calling clearInterval()");
			clearInterval(jQueryLoadedInterval);
		}
	} else {
		if(jQueryLoadedInterval == null) {
			log("handleInit(), calling setInterval()");
			jQueryLoadedInterval = setInterval(handleInit, 100);
		}		
		return;		
	}
	
	loader(true);
	
	$("#system_panel_comment").removeClass("system_panel_comment_error");
	$("#system_panel_comment").addClass("system_panel_comment_notification");
	$("#system_panel_comment").html("This is a sample custom app");
	
	$("#system_application_title").html("Hello World Sample Custom App");

	$("#system-id-system-id-button\\:301").hide();
	$("#system-id-system-id-button\\:305").hide();
	$("#system_left_bar_panel_links").hide();
	
	renderPage();
	
	loader(false);
}

function renderPage() {
	log("+renderPage()");
	
	$("#system_page_workspace").html("<h1>Success!</h1>");
}

function loader(show) {
	if(show) {
		$("#system_loader_image").show();
	} else {
		$("#system_loader_image").hide();
	}
}

function log(msg) {
	window.console.log(msg);
}